import { CapturedLabel, CapturedLabelJSON } from './CapturedLabel.js';
import '@scandit/web-datacapture-core';
import './LabelField.js';
import '@scandit/web-datacapture-barcode';
import './LabelFieldState.js';
import './LabelFieldType.js';
import './LabelFieldValueType.js';
import './LabelDateResult.js';

interface LabelCaptureSessionJSON {
    canShowLocations: boolean;
    lastFrameId: number;
    frameSequenceId: number;
    labels: CapturedLabelJSON[];
}
declare class LabelCaptureSession {
    private _lastProcessedFrameId;
    private _frameSequenceId;
    private _capturedLabels;
    private _canShowLocations;
    get lastProcessedFrameId(): number;
    get frameSequenceId(): number;
    get capturedLabels(): CapturedLabel[];
    get canShowLocations(): boolean;
    private static fromJSON;
}

export { LabelCaptureSession, type LabelCaptureSessionJSON };
